1. The forum software has recently been updated. If you have comments or feedback, please let us know HERE! If you have arrived via a Google search, please use the forum search feature to locate specific information.

    Best wishes,
    The NI Team

Kontakt Version Rollback: how to I get my instruments to work again?

Discussion in 'KONTAKT' started by Tuee, Feb 27, 2011.

Thread Status:
Not open for further replies.
  1. Tuee

    Tuee New Member

    Messages:
    11
    After briefly trying the trial version of Kontakt 4.1.3, I have rolled back to my regular version, 4.0.2. Now, I can't get some instruments to work-- I get an error that says "This patch was generated by a newer version of the application. Please upgrade your copy to load the patch."

    I've tried reinstalling Kontakt, the instruments, manully deleting the library/db from the Users/AppData folder... I can't get rid of the error, even though everything worked before I installed the trial version.

    Any suggestions? Any other things to delete that I haven't tried? Obviously there's some residual that I mised in my attepts to purge it from my system...
  2. EvilDragon

    EvilDragon NI Product Owner

    Messages:
    6,695
    When you resave the NKIs in a newer version of Kontakt, there is no turning back, unless you've kept a backup of those NKI files somewhere.
  3. David Das

    David Das Moderator

    Messages:
    5,531
    EvilDragon is correct; Kontakt is not forward-compatible (ever), so anything saved in 4.1.3 can't be opened by anything earlier.

    Any specific problems with 4.1.3 that forced you back to 4.0.2? It's been very smooth for me.
  4. Tuee

    Tuee New Member

    Messages:
    11
    I have kept a backup of the NKI files, and they still don't work.

    I uninstalled Kontakt, the libraries (including NKI files), and used Windows search to discover all files named "Kontakt", "Native Instruments" etc and deleted them too. Basically, I was trying to remove every trace of Kontakt from my machine before re-installing... still to no avail :(

    Any ideas what else it could be?
  5. EvilDragon

    EvilDragon NI Product Owner

    Messages:
    6,695
    Can you upload one of those NKIs in a ZIP file here so I can try it out, please?
  6. Tuee

    Tuee New Member

    Messages:
    11
    Here it is. And thanks a lot for the help!

    Attached Files:

  7. EvilDragon

    EvilDragon NI Product Owner

    Messages:
    6,695
    It opens here!
  8. Tuee

    Tuee New Member

    Messages:
    11
    In what version?

    Other than in the NKI itself, where else does the version requirement of an instrument, database etc. live? (So that I might delete it...). I have tried removing the db from the user/AppData folder... are there any other locations?
  9. musicman7p

    musicman7p Forum Member

    Messages:
    341
    Have no idea what your talking about. Didnt load here. It came up with the "Samples missing Browser" Did that show for you? or No?
  10. kb123

    kb123 NI Product Owner

    Messages:
    1,104
    Thats irrelevent to the request above
  11. Tuee

    Tuee New Member

    Messages:
    11
    Well obviously the samples aren't there... however, does that mean that you didn't get the version error? What version are you using?

    Just to clarify, the purpose of my posting this NKI is to see if anyone can get it to work with 4.0.2 without an error.
  12. EvilDragon

    EvilDragon NI Product Owner

    Messages:
    6,695
    I'm using K4.1.3 over here.


    Kontakt's file browser says that the particular NKI that you sent was created with version 4.0.5, so that's why it doesn't work for you. If you update to 4.0.5 or higher, it will work.
  13. musicman7p

    musicman7p Forum Member

    Messages:
    341
    Oh wow I kind of feel stupid. I was thinking the nki was in monolith format since I didnt see the file where the patches are. Forgive me. But it did not give the "This patch was generated by a newer version of the application" error it just came up with the Samples missing error

    BTW: I have 2 versions. The latest and 4.1

    The 4.1 and the latest(4.2) gave me no issue loading that patch
  14. Tuee

    Tuee New Member

    Messages:
    11
    Ok, thanks for the help gents (or ladies?). Was able to resolve it by upgrading to 4.1. woot!
  15. EvilDragon

    EvilDragon NI Product Owner

    Messages:
    6,695
    All gents here. :)
Thread Status:
Not open for further replies.

Share This Page